const APIBase = require('../../api.base');
const system = require('../../../system');
const settings = require('../../../../config/settings');
class AppAPI extends APIBase {
  constructor() {
    super();
    this.appS = system.getObject('service.common.appSve');
  }
  async create(pobj, q, req) {
    console.log('oooooooooooooooooooooooooooooooooooooooooooooooo');
    console.log(req.xctx);
    const rtn = this.appS.create(pobj, q, req);
    return system.getResult(rtn);
  }
  async del(pobj, q, req) {
    const rtn = this.appS.delete(pobj, q, req);
    return system.getResult(rtn);
  }
  classDesc() {
    return {
      groupName: 'auth',
      groupDesc: '认证相关的包',
      name: 'AccessAuthAPI',
      desc: '关于认证的类',
      exam: `
             post  http://p.apps.com/api/auth/accessAuth/getAccessKey
             {
                appKey:xxxxx,
                secret:yyyyyy
             }
         `,
    };
  }
  methodDescs() {
    return [

    ];
  }
  exam() {
    return ``;
  }
}
module.exports = AppAPI;
